# refresh

Manually request that available campaigns for the device be refreshed from the Nami service.

If a callback handler is registered with [registerAvailableCampaignsHandler](/sdk-reference/namicampaignmanager/registeravailablecampaignshandler.md), it will be triggered once the refresh is complete.

{% tabs %}
{% tab title="Swift" %}

```swift
import NamiApple

NamiCampaignManager.refresh()
```

{% endtab %}

{% tab title="undefined" %}

```kotlin
NamiCampaignManager.refresh()
```

{% endtab %}

{% tab title="Flutter" %}

```dart
import 'package:nami_flutter/campaign/nami_campaign.dart';
import 'package:nami_flutter/campaign/nami_campaign_manager.dart';

NamiCampaignManager.refresh();
```

{% endtab %}

{% tab title="React Native" %}

```jsx
import {NamiCampaignManager, NamiCampaign} from 'react-native-nami-sdk';

// Manually trigger a campaign refresh
NamiCampaignManager.refresh();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namicampaignmanager/refresh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
